t-code_2.3.1-3.5_all.deb


Advertisement

Description

t-code - Japanese direct input method environment for emacsen

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: t-code
Package version: 2.3.1
Package release: 3.5
Package architecture: all
Package type: deb
Installed size: 503 B
Download size: 116.21 KB
Official Mirror: archive.ubuntu.com
This package is provides tc2. the T-Code input environment for emacsen, which enables you to input Japanese characters with T-Code or TUT-Code. T-Code is a Japanese input method that doesn't use Kana-to-Kanji conversion. You can input Kanji characters directly in the same way of inputting Hiragana. TUT-Code is an alternative to T-Code. This package provides emacs support for T-Code.

Alternatives

    Download

    Binary package: t-code_2.3.1-3.5_all.deb
    Source package: t-code

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install t-code deb package:
      # sudo apt-get install t-code

    Files

    • /etc/emacs/site-start.d/50t-code.el
    • /usr/lib/emacsen-common/packages/install/t-code
    • /usr/lib/emacsen-common/packages/remove/t-code
    • /usr/share/doc/t-code
    • /usr/share/emacs/site-lisp/t-code/eelll.el
    • /usr/share/emacs/site-lisp/t-code/tc-bitmap.el
    • /usr/share/emacs/site-lisp/t-code/tc-bushu.el
    • /usr/share/emacs/site-lisp/t-code/tc-complete.el
    • /usr/share/emacs/site-lisp/t-code/tc-help.el
    • /usr/share/emacs/site-lisp/t-code/tc-image.el
    • /usr/share/emacs/site-lisp/t-code/tc-inst.el
    • /usr/share/emacs/site-lisp/t-code/tc-is18.el
    • /usr/share/emacs/site-lisp/t-code/tc-is19.el
    • /usr/share/emacs/site-lisp/t-code/tc-is20.el
    • /usr/share/emacs/site-lisp/t-code/tc-ja-alnum.el
    • /usr/share/emacs/site-lisp/t-code/tc-jiscode.el
    • /usr/share/emacs/site-lisp/t-code/tc-mazegaki.el
    • /usr/share/emacs/site-lisp/t-code/tc-mkmzdic.el
    • /usr/share/emacs/site-lisp/t-code/tc-pre.el
    • /usr/share/emacs/site-lisp/t-code/tc-setup.el
    • /usr/share/emacs/site-lisp/t-code/tc-stat.el
    • /usr/share/emacs/site-lisp/t-code/tc-sysdep.el
    • /usr/share/emacs/site-lisp/t-code/tc-tbl.el
    • /usr/share/emacs/site-lisp/t-code/tc-util.el
    • /usr/share/emacs/site-lisp/t-code/tc.el
    • /usr/share/emacs/site-lisp/t-code/tutc-tbl.el
    • /usr/share/info/tc.info.gz

    Changelog

    2014-11-15 - HIGUCHI Daisuke (VDR dai) <dai@debian.org> t-code (2:2.3.1-3.5) unstable; urgency=medium * Non-maintainer upload. * debian/control - depends emacs24 instead of emacs23, emacs23 has been removed from jessie (Closes: #768727). * fix missing copyright file after upgrade (Closes: #768239). - debian/t-code.maintscript: new file. - debian/control: add Pre-Depends: dpkg (>= 1.17.5).

    2014-04-02 - HIGUCHI Daisuke (VDR dai) <dai@debian.org> t-code (2:2.3.1-3.4) unstable; urgency=medium * Non-maintainer upload. * debian/control: fix Description (Closes: #742819)

    2014-03-11 - HIGUCHI Daisuke (VDR dai) <dai@debian.org> t-code (2:2.3.1-3.3) unstable; urgency=medium * Non-maintainer upload. * debian/control - add dh-autoreconf to Build-Depends: - update emacsen in Depends: and Build-Depends: - split t-code package into t-code and t-code-common. * debian/copyright: convert to DEP-5. * debian/*.install: convert from debian/dirs. * debian/t-code-common.docs: convert from debian/docs. * debian/t-code.emacsen-*: rename from debian/emacsen-*. * debian/t-code-common.examples: rename from debian/examples. * debian/t-code.info: rename from debian/info. * debian/patches/*: split *.diff.gz. * debian/rules, debian/compat: use dh9. * debian/source/format: set 3.0 (quilt). * debian/t-code-common.doc-base: new file. * debian/watch: new file. * bump up Standards-Version 3.9.5

    2014-01-12 - Eric Dorland <eric@debian.org> t-code (2:2.3.1-3.2) unstable; urgency=low * Non-maintainer upload. [ Eric Dorland ] * debian/control: Drop unnecessary build-deps on autoconf and automake1.4. (Closes: #724010)

    2013-08-10 - Sebastian Ramacher <sramacher@debian.org> t-code (2:2.3.1-3.1) unstable; urgency=low * Non-maintainer upload. * Rebuild with newer debhelper to get rid of install-info calls in maintainer scripts. (Closes: #708499)

    2009-02-03 - NOSHIRO Shigeo <noshiro@debian.org> t-code (2:2.3.1-3) unstable; urgency=low * FIX tc-sysdep.el. - Fix incompatibilities emacs22. * FIX lisp/Makefile.am - Set directory /usr/share/t-code * debian/control: - Move `Homepage:' from Description to the header. - Set Standards-Version to 3.7.3.

    2007-12-01 - Tatsuya Kinoshita <tats@debian.org> t-code (2:2.3.1-2.1) unstable; urgency=low * Non-maintainer upload, complied with the maintainer's request, closes: Bug#453458 * Fix lintian error and warnings, closes: Bug#453307 - Move debhelper from Build-Depends-Indep to Build-Depends. - Bump up debhelper version to 5. - Don't use DH_COMPAT in debian/rules, use debian/compat instead. - Don't ignore an error of make distclean in debian/rules. - Update FSF address in debian/copyright. - Bump up Standerd-Version to 3.7.2. * debian/rules: - Fix FTBFS when /bin/sh is dash, closes: Bug#438531 - Use binary-indep instead of binary-arch, closes: Bug#438530 * debian/emacsen-startup: - Use debian-pkg-add-load-path-item to set load-path, closes: Bug438532 - Fix that startup fails if package is removed but not purged, closes: Bug#438533 * debian/control: - Prefer emacs and emacs22, closes: Bug#433982 - Revise description to mention tc2, emacsen and the upstream site, closes: Bug#453427 * debian/emacsen-install: Create symlinks for *.el files, rather than copying *.el files and then removing them, closes: Bug#438534

    2003-07-01 - NOSHIRO Shigeo <noshiro@debian.org> t-code (2:2.3.1-2) unstable; urgency=low * FIX tcode-site-data-directory in tc-pre.el

    2003-06-23 - NOSHIRO Shigeo <noshiro@debian.org> t-code (2:2.3.1-1) unstable; urgency=low * New upstream release

    2003-05-04 - NOSHIRO Shigeo <noshiro@debian.org> t-code (2:2.3-2) unstable; urgency=low * FIX tcode-site-data-directory in tc-pre.el, closes: Bug#191765 * remove Depends: emacs20-dl (it was removed from Debian tree) closes: #190830

    Advertisement
    Advertisement